/* /BoardViewer/Components/Input/IconCheckbox.razor.rz.scp.css */
.container[b-jsk9s27mcf] {
    align-items: center;
    cursor: pointer;
    display: flex;
    font-size: 1rem;
    gap: 1ch;
    position: relative;
    transition-duration: 0.2s;
    user-select: none;
}

[b-jsk9s27mcf] input[type="checkbox"] {
    cursor: pointer;
    height: 0;
    opacity: 0;
    position: absolute;
    width: 0;
}

.icon[b-jsk9s27mcf] {
    background-repeat: no-repeat;
    background-size: contain;
    height: 1.25rem;
    transition-duration: 0.3s;
    width: 1.25rem;
}

.content[b-jsk9s27mcf] {
    transition-duration: 0.2s;
}
/* /Pages/BomManager.razor.rz.scp.css */
header[b-kenqi4mpjj] {
    display: flex;
    width: 100%;
    height: 5vh;
    justify-content: center;
    align-items: center;
}

[b-kenqi4mpjj] .bom-wizard-step-container {
    display: flex;
    flex-direction: column;
    width: 100%;
    align-items: center;
}

[b-kenqi4mpjj] #bom-wizard-active-container {
    width: 100%;
    height: 30vh;
    display: flex;
    justify-content: center;
    align-items: center;
    border: 2px solid #006b91;
    border-radius: 5px;
    margin: 2px;
}

[b-kenqi4mpjj] #bom-wizard-nav-container {
    display: flex;
    width: 100%;
    height: 5vh;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
}

[b-kenqi4mpjj] .bom-wizard-nav-button {
    flex-grow: 1;
    background-color: #006b91;
    color: white;
    margin: 2px;
}

[b-kenqi4mpjj] .bom-input-control {
    padding: 3px 0px 3px 3px;
    margin: 5px 1px 3px 10px;
}

[b-kenqi4mpjj] .bom-radio-control {
    margin-right: 10px;
}

[b-kenqi4mpjj] #bom-table-header {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: space-between;
    align-items: flex-end;
}

[b-kenqi4mpjj] #bom-table-container {
    overflow: scroll;
    max-height: 48vh;
    max-width: 100%
}

[b-kenqi4mpjj] .bom-table-border {
    border: 3px solid #006b91;
    border-collapse: collapse;
}

[b-kenqi4mpjj] #bom-delimiter-control, [b-kenqi4mpjj] #bom-rowtype-control {
    display: flex;
    flex-direction: column;
    width: 20%;
    align-items: center;
}

[b-kenqi4mpjj] .bom-delimiter-radio-label, [b-kenqi4mpjj] .bom-rowtype-row-radio-label {
    display: flex;
    width: 100%;
    flex-direction: row;
    justify-content: flex-start;
    align-items: center;
}

[b-kenqi4mpjj] .bom-rowtype-row {
    display: flex;
    flex-direction: row;
    width: 100%;
    justify-content: space-between;
}

[b-kenqi4mpjj] #bom-multiselect-control {
    margin-right: 5px;
}

[b-kenqi4mpjj] #bom-modal-body {
    display: flex;
    flex-direction: column;
    
}

[b-kenqi4mpjj] #bom-modal-button {
    background-color: #006b91;
    color: white;
    
}

[b-kenqi4mpjj] .bom-modal-element {
    margin: 2px;
}
/* /Shared/LoadingSpinner.razor.rz.scp.css */
.lds-ring[b-kh2rvbtoq5] {
    display: inline-block;
    position: relative;
    width: 80px;
    height: 80px;
}

.lds-ring div[b-kh2rvbtoq5] {
    border-radius: 100%;
    box-sizing: border-box;
    display: block;
    position: absolute;
    width: 64px;
    height: 64px;
    margin: 8px;
    border: 8px solid white;
    border-radius: 50%;
    animation: lds-ring-b-kh2rvbtoq5 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
    border-color: white transparent transparent transparent;
}

.lds-ring div:nth-child(1)[b-kh2rvbtoq5] {
    animation-delay: -0.45s;
}

.lds-ring div:nth-child(2)[b-kh2rvbtoq5] {
    animation-delay: -0.3s;
}

.lds-ring div:nth-child(3)[b-kh2rvbtoq5] {
    animation-delay: -0.15s;
}

@keyframes lds-ring-b-kh2rvbtoq5 {
    0% {
        transform: rotate(0deg);
    }

    100% {
        transform: rotate(360deg);
    }
}
/* /Shared/Modal.razor.rz.scp.css */
.modal[b-dzx53l1dn5] {
    position: fixed;
    z-index: 1;
    padding-top: 100px;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

.modal-content[b-dzx53l1dn5] {
    background-color: white;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 30%;
}


.modal-closebtn[b-dzx53l1dn5] {
    color: white;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.modal-closebtn:hover[b-dzx53l1dn5], .modal-closebtn:focus[b-dzx53l1dn5] {
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.modal-header[b-dzx53l1dn5] {
    padding: 2px 16px;
    background-color: #006b91;
    color: white;
}

.modal-body[b-dzx53l1dn5] {
    padding-top: 2px;
    padding-bottom: 2px;
}
/* /SiemensComponents/SSpinner.razor.rz.scp.css */
circle[b-ig24qpxbhr] {
    --half-size: calc(var(--size) / 2);
    fill: transparent;
    stroke: #005159;
    stroke-width: var(--thickness);
    stroke-linecap: round;
    stroke-dasharray: calc(var(--size) * 3.14);
    transform-origin: var(--half-size)px var(--half-size)px 0;
    animation: spinner-b-ig24qpxbhr 3s linear infinite;
}

@keyframes spinner-b-ig24qpxbhr {
    0% {
        stroke-dashoffset: calc(var(--size) * 0.785);
        transform: rotate(0deg);
    }

    50% {
        stroke-dashoffset: calc(var(--size) * 3.14);
        transform: rotate(720deg);
    }

    100% {
        stroke-dashoffset: calc(var(--size) * 0.785);
        transform: rotate(1080deg);
    }
}

.dark circle[b-ig24qpxbhr] {
    stroke: white;
}
